class KFilterBase

# class KFilterBase | This is the base class for compression filters such as gzip and bzip2. More...
Contains pure virtuals
Definition | `#include <kfilterbase.h>`
Inherits | QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Result { OK, END, ERROR }

#### Public Methods

- KFilterBase ()
- virtual ~KFilterBase ()
- void setDevice ( QIODevice * dev, bool autodelete = false )
- QIODevice * device ()
- virtual void init ( int mode )
- virtual int mode () const
- virtual void terminate ()
- virtual void reset ()
- virtual bool readHeader ()
- virtual bool writeHeader ( const QCString & filename )
- virtual void setOutBuffer ( char * data, uint maxlen )
- virtual void setInBuffer ( const char * data, uint size )
- virtual bool inBufferEmpty () const
- virtual int inBufferAvailable () const
- virtual bool outBufferFull () const
- virtual int outBufferAvailable () const
- virtual Result uncompress ()
- virtual Result compress ( bool finish )

#### Public Static Methods

- static KFilterBase * findFilterByFileName ( const QString & fileName )
- static KFilterBase * findFilterByMimeType ( const QString & mimeType )

#### Protected Methods

- virtual void virtual_hook ( int id, void* data )

#### Protected Members

- QIODevice * m_dev
- bool m_bAutoDel

## Detailed Description

This is the base class for compression filters such as gzip and bzip2. It's pretty much internal. Don't use directly, use KFilterDev instead.

KFilterBase () | ### KFilterBase

~KFilterBase () | ### ~KFilterBase

[virtual]

void setDevice ( QIODevice * dev, bool autodelete = false ) | ### setDevice

Sets the device on which the filter will work If `autodelete` is set to true, `dev` is deleted when the filter is deleted

QIODevice * device () | ### device

void init ( int mode ) | ### init

[pure virtual]

int mode () | ### mode

[const pure virtual]

void terminate () | ### terminate

[virtual]

void reset () | ### reset

[virtual]

bool readHeader () | ### readHeader

[pure virtual]

bool writeHeader ( const QCString & filename ) | ### writeHeader

[pure virtual]

void setOutBuffer ( char * data, uint maxlen ) | ### setOutBuffer

[pure virtual]

void setInBuffer ( const char * data, uint size ) | ### setInBuffer

[pure virtual]

bool inBufferEmpty () | ### inBufferEmpty

[const virtual]

int inBufferAvailable () | ### inBufferAvailable

[const pure virtual]

bool outBufferFull () | ### outBufferFull

[const virtual]

int outBufferAvailable () | ### outBufferAvailable

[const pure virtual]

enum Result { OK, END, ERROR } | ### Result

Result uncompress () | ### uncompress

[pure virtual]

Result compress ( bool finish ) | ### compress

[pure virtual]

KFilterBase * findFilterByFileName ( const QString & fileName ) | ### findFilterByFileName

[static]

Call this to create the appropriate filter for the file named `fileName`.

KFilterBase * findFilterByMimeType ( const QString & mimeType ) | ### findFilterByMimeType

[static]

Call this to create the appropriate filter for the mimetype `mimeType`. For instance application/x-gzip.

QIODevice * m_dev | ### m_dev

[protected]

bool m_bAutoDel | ### m_bAutoDel

[protected]

void virtual_hook ( int id, void* data ) | ### virtual_hook

[protected virtual]

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:57 2003, using kdoc 2.0a54.